#! /usr/bin/env python
# -*- coding: utf-8 -*-
import RPi.GPIO as GPIO
import time

GPIO.setmode(GPIO.BCM)

GPIO.setup(23, GPIO.IN, pull_up_down=GPIO.PUD_UP)
GPIO.setup(24, GPIO.OUT)

try:
    lastState = GPIO.input(23)
    if lastState == False:
        GPIO.output(24, True)
    while True:
        button_state = GPIO.input(23)
        if button_state == lastState:
            print('No Change...')
        else:
            if button_state == False:
                GPIO.output(24, True)
                print('Button Pressed...')
            else:
                GPIO.output(24, False)
                print('Button Released...')
        lastState = button_state
        time.sleep(0.02)
except:
    GPIO.cleanup()

